Bug 216788 - Alt-F6 to cycle app windows is not configurable in gnome-keybinding-properties
Alt-F6 to cycle app windows is not configurable in gnome-keybinding-properties
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 19:06 EST by Jesse Glick
Modified: 2008-05-06 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Glick 2006-11-21 19:06:11 EST
Description of problem:

Alt-F6 is bound by Metacity but not configurable in Keyboard Shortcuts. This
prevents its usage by applications. (For example, the NetBeans IDE uses this
shortcut for Test Project.) In my case, Alt-Tab did everything I needed; I do
not want this shortcut to be bound by the window manager.

Version-Release number of selected component (if applicable):

metacity-2.16.0-5.fc6
control-center-2.16.0-9.fc6

Regression since FC 5 in that the key was not bound in FC 5.

How reproducible:

Reproducible.

Steps to Reproduce:

1. Open an app which binds Alt-F6, e.g. the NetBeans IDE. Press Alt-F6.

2. Open System > Preferences > Keyboard Shortcuts and look for Alt-* items.

3. Unbind Alt-F6. Try #1 again.
  
Actual results:

1. Alt-F6 displays a frame around the window. Is not sent to app.

2. Alt-Tab is displayed as "Move between windows with popup". Alt-F6 is not
displayed.

Expected results:

1. Frame shows around window.

2. Both Alt-Tab and Alt-F6 displayed.

3. Alt-F6 sent to app.

Additional info:

I have customized Keyboard Shortcuts before in a previous Fedora Core
installation from which I have upgraded. I do not have a "clean" machine on
which to confirm.

I do not know if the bug is in fact in metacity, or in control-center (apparent
owner of gnome-keybinding-properties).
Comment 1 Matthias Clasen 2006-11-22 14:54:30 EST
It is exposed in gconf as /apps/metacity/global_keybindings/switch_groups, just
not exposed in the keybinding capplet
Comment 2 Jesse Glick 2006-11-22 15:23:56 EST
Thanks, can confirm workaround:

gconftool-2 --set /apps/metacity/global_keybindings/switch_group --type string
disabled
Comment 3 Mark Midthun 2007-01-20 09:46:21 EST
I am glad this is considered a bug.  I am trying to upgrade to Fedora 6 from 
Fedora 1.  I am not proficient in Linux.  Alt-F6 is necessary for Lotus 
Magellan which I depend on.  It runs within FreeDos within Dosemu within 
Fedora 1.  
Comment 4 Søren Sandmann Pedersen 2007-03-23 13:39:32 EDT
Moving to control center
Comment 5 Bug Zapper 2008-04-04 00:51:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:54:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.